import Event from "./Event";
/**
 * Triggers.
 *
 * @since 1.0.0
 */
export default class Events {
    events = [];
    /**
     * Constructor.
     *
     * @param cssClasses Array of CSS classes.
     *
     * @since 1.0.0
     */
    constructor(EventsData, formValues = {}) {
        EventsData?.forEach(eventData => {
            this.events.push(new Event(eventData, formValues));
        });
    }
    /**
     * Execute all triggers.
     *
     * @since 1.0.0
     */
    execute(trigger) {
        this.events.forEach(event => {
            if (event.trigger !== trigger) {
                return;
            }
            event.run();
        });
    }
}
